<div id="wc-backbone-modal-dialog">
    <div class="wc-backbone-modal" id="shipit-uniwin-prices-modal">
        <div class="wc-backbone-modal-content" tabindex="0">
            <section class="wc-backbone-modal-main" role="main">
                <header class="wc-backbone-modal-header">
                    <div style="height: 32px;">
                        <h1 style="float: left;padding: 0px;">Shipit prices</h1>
                        <button style="float: right;" type="button" class="button button-primary uniwin_close_price_model">Close</button>
                    </div>

                </header>
                <article style="max-height: 286.5px;">
                    <div id="shipit-uniwin-prices">
                        <?php if (!empty($methods)) {
                        ?>
                            <table id="shipit-uniwin-delivery-info-table">
                                <tr>
                                    <th>Destination</th>
                                    <td><?php echo $methods['country']; ?> <?php echo $methods['postcode']; ?></td>
                                </tr>
                                <tr>
                                    <th>Weight and parcels</th>
                                    <td><?php printf(__('%.2f kg - %d parcels', 'shipit-for-woocommerce'), $methods['weight'], $methods['parcels']); ?></td>
                                </tr>
                                <tr>
                                    <th>Dimensions - L, W, H in (cm)</th>
                                    <td><?php printf('%.2f &times; %.2f &times %.2f', $methods['length'], $methods['width'], $methods['height']); ?></td>
                                </tr>
                                <tr>
                                    <th>Fragile</th>
                                    <td><?php echo $methods['fragile'] ? __('Yes', 'shipit-for-woocommerce') : __('No', 'shipit-for-woocommerce'); ?></td>
                                </tr>
                            </table>
                            <table id="shipit-uniwin-prices-table">
                                <thead>
                                    <tr>
                                        <th>Shipping method</th>
                                        <th class="align-right"><?php _e('Price (incl. VAT)', 'shipit-for-woocommerce'); ?></th>
                                    </tr>
                                </thead>
                                <?php foreach ($methods['methods'] as $method) {
                                ?>
                                    <tbody>
                                        <td><?php echo sprintf('%s %s', $method['carrier'], $method['serviceName']); ?></td>

                                        <td class="align-right"><?php echo WC_Shipit_Uniwin_Common_Functions::shipit_uniwin_price_formate($method['price']); ?></td>
                                    </tbody>
                                <?php } ?>
                                <?php if (empty($methods)) { ?>
                                    <tr>
                                        <td colspan="2"><?php _e('No shipping methods found with given details', 'shipit-for-woocommerce'); ?></td>
                                    </tr>
                                <?php } ?>
                            </table>
                        <?php } else { ?>
                            <h3 style="text-align: center;" class="shipit_uniwin_loding_text"><?php _e('Please wait!, price calculation processing!', 'shipit-for-woocommerce'); ?></h3>
                        <?php } ?>
                    </div>
                </article>
            </section>
        </div>
    </div>
</div>