<div id="wc-backbone-modal-dialog-carrier-agent">
    <div class="wc-backbone-modal" id="shipit-uniwin-carrier-agent">
        <div class="wc-backbone-modal-content" tabindex="0">
            <section class="wc-backbone-modal-main" role="main">
                <header class="wc-backbone-modal-header">
                    <h1>Carrier Agent</h1>
                </header>
                <article style="max-height: 286.5px;">

                    <div id="shipit-uniwin-carrieragent">
                        <?php if (!empty($methods)) {
                            $options = array(
                                'sbtlfirrex.sbtlfirrex' => "DB Schenker",
                                'posti.po2103' => "Postipaketti",
                                'posti.po2331' => "Baltian Postipaketti",
                                'posti.po2351' => "PickUp Parcel",
                                'posti.po2711eepp' => "Parcel Connect (EE)",
                                'posti.po2711ltpp' => "Parcel Connect (LT)",
                                'posti.po2711lvpp' => "Parcel Connect (LV)",
                                'mh.mh10' => "Bussipaketti",
                                'mh.mh20' => "Pikapaketti",
                                'mh.mh80' => "Lähellä-paketti",
                                'mh.mh84' => 'XXS-paketti',
                                'mh.mh95' => 'Euroopan Lähellä-paketti',
                                'plscm.p19fi' => 'Postnord MyPack',
                                'plscm.p19fidpd' => 'Postnord MyPack DPD',
                                'ups.accesp' => 'UPS Express Access Point',
                                'ups.accespstd' => 'UPS Access Point Standard',
                                'omni.omnice' => 'Omniva Pickup Point Delivery (EE)',
                                'omni.omniparcelmachine' => 'Omniva Parcelmachine (EE)',
                                'dpd.dindpdbaltpickup' => 'DPD Parcelmachine and Pickup Point (EE)',
                            );
                        ?>
                            <form id="shipit-uniwin-carrieragent-form">
                                <div class="search-params" style="display: inline-flex;">
                                    <div class="form-input">
                                        <select name="suca_shipping_method" id="suca_shipping_method">
                                            <?php foreach ($methods['shipping_methods']['pickup_ids'] as $shipping_method) {
                                                $title = $options[$shipping_method];
                                                if (!empty($title)) {
                                            ?>
                                                    <option value="<?php echo $shipping_method; ?>"><?php echo $title; ?></option>
                                            <?php }
                                            } ?>
                                        </select>
                                    </div>
                                    <div class="form-input">
                                        <input type="text" name="suca_postal_code" value="<?php echo $methods['default_postcode']; ?>" placeholder="<?php _e('Postcode', 'shipit-for-woocommerce'); ?>" />
                                    </div>
                                    <div class="form-input">
                                        <input type="hidden" name="suca_country" value="<?php echo $methods['country']; ?>" />
                                        <input type="hidden" name="suca_instance_id" value="<?php echo $methods['shipping_methods']['instance_id']; ?>" />
                                        <input type="button" value="<?php _e('Search', 'shipit-for-woocommerce'); ?>" class="button" id="suca_agent_search" />
                                    </div>
                                </div>
                                <?php if (!empty($methods['agents'])) { ?>
                                    <div id="suca_fetched_agent_data" class="form-input" style="margin-top: 12px;">
                                        <select name="suca_agent_id" class="form-control">
                                            <?php
                                            foreach ($methods['agents'] as $akey => $agent) {
                                            ?>
                                                <option value="<?php echo $akey; ?>"><?php echo $agent; ?></option>
                                            <?php
                                            }
                                            ?>
                                        </select>
                                        <?php echo $methods['agent_data']; ?>
                                        <input type="button" id="suca_save" class="button button-primary" name="suca_save" value="<?php _e('Save Carrier Agent', 'shipit-for-woocommerce'); ?>" />
                                    <?php } ?>
                                    </div>
                            </form>
                        <?php } ?>
                    </div>
                </article>
            </section>
        </div>
    </div>
</div>